Get detailed information about an organization
GET
/system/orgs/{ID}
const url = 'https://example.com/api/v1/system/orgs/1';const options = {method: 'GET', headers: {cookie: 'grommunioAuthJwt=<grommunioAuthJwt>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/system/orgs/1 \ --cookie grommunioAuthJwt=<grommunioAuthJwt>Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”ID
required
integer
ID of the object
Query Parameters
Section titled “Query Parameters”level
integer
Set detail level of return value. Usually ranges from 0 to 2.
Responses
Section titled “ Responses ”Organization returned
Media typeapplication/json
object
ID
Unique ID of the object
integer
name
string
description
string
domainCount
Number of domains in this organization
integer
domains
List of domains belonging to the organization
Array<object>
object
ID
Unique ID of the object
integer
domainname
string
displayname
string
Examplegenerated
{ "name": "example", "description": "example", "domainCount": 1, "domains": [ { "domainname": "example", "displayname": "example" } ]}Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}The requested resource could not be found
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}The database query failed
Media typeapplication/json
object
message
Description of the error
string
Examplegenerated
{ "message": "example"}